"print.ds" <-
function(object, digits = max(3, getOption("digits") - 3), ...)
{
    cat("Double Slicing of Survival time\n\n")
    cat(paste("Number of observation:           ", length(object$y), "\n"))
    n.censor = length(object$y[object$delta==0]);
    cat(paste("Number of censored observation:  ", n.censor, "\n"))
    cat(paste("Number of predictors:            ", ncol(object$x), "\n"))
    cat(paste("Number of slices (uncensored):   ", object$nslice1, "\n"))
    cat(paste("Number of slices (censored):     ", object$nslice0, "\n\n"))
    cat("Eigenvalues:\n")
    cum.e = cumsum(object$eval/sum(object$eval))
    evals = rbind(object$eval, cum.e)
    rownames(evals) = c("Eigenvalues", "Cum.Sum.R^2");
    colnames(evals) = colnames(object$evec);
    print(evals, digits=digits)
    cat("\nAsym Chi-square test of SIR directions:\n")
    print(sir.test(object), digits=digits)
    cat("\nEigenvectors:\n")
    print(object$evec, digits=digits)
    invisible(object)
}

