\name{plot.3d.sir}
\alias{plot.3d.sir}
\title{ 3d plot of response vs. two sir directions }
\description{
  call function scatterplot3d to do 3 dimension plot. User need to install
  library scatterplot3d.
}
\usage{
plot.3d.sir(object, which = 1:2, angles = c(60, 120), z.plane = NULL, logY = FALSE)
}
\arguments{
  \item{object}{a csir object from function cen.sir or a ds object from 
    function double.slice}
  \item{which}{ which two direction to plot }
  \item{angles}{ different angles to plot, user can specify no more than 
    6 angels }
  \item{z.plane}{ the position of a plane z=z.plane, default NULL means
    no plane is drawn }
  \item{logY}{ whether do a log transformation of Y }
}
\details{
  The relation between response variable and SIR directions can be arbitrary.
  A 3d scatterplot can help to identify the function form between one response
  variable and two directions. 
}
\value{None.}

\references{ Ligges, U., and Maechler, M. (2003): Scatterplot3d - an R Package
for Visualizing Multivariate Data. Journal of Statistical Software 8(11), 1-20. 
}
\author{ Wei Sun sunwei@stat.ucla.edu }
\note{ Users can use plot.csir and plot.ds to generate 2d plot }

\seealso{ \code{\link{plot.csir}} \code{\link{plot.ds}} \code{\link{cen.sir}}
 \code{\link{double.slice}}}
\examples{
}
\keyword{ hplot }
